@-webkit-keyframes octocat-wave-data-v-553b04e0 {
    0%,
    to {
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }
    20%,
    60% {
        -webkit-transform: rotate(-25deg);
        transform: rotate(-25deg);
    }
    40%,
    80% {
        -webkit-transform: rotate(10deg);
        transform: rotate(10deg);
    }
}
@keyframes octocat-wave-data-v-553b04e0 {
    0%,
    to {
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }
    20%,
    60% {
        -webkit-transform: rotate(-25deg);
        transform: rotate(-25deg);
    }
    40%,
    80% {
        -webkit-transform: rotate(10deg);
        transform: rotate(10deg);
    }
}
[data-v-d328a46e] {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
[data-v-d328a46e],
[data-v-d328a46e]:after,
[data-v-d328a46e]:before {
    -webkit-box-sizing: inherit;
    box-sizing: inherit;
}
input[data-v-d328a46e] {
    font-size: 17px;
    background: #4e73df;
    color: #fff;
    width: 50px;
    padding: 0.3ch 5px;
    max-height: 40px;
    border: 1px solid #666;
}
main[data-v-d328a46e] {
    width: auto;
    height: calc(70vh - 50px);
    margin: 15px 0 0 75px;
}
.gridchild[data-v-d328a46e] {
    counter-reset: step;
}
.gridchild div[data-v-d328a46e] {
    counter-increment: step;
    position: relative;
}
.gridchild div[data-v-d328a46e]:before {
    position: absolute;
    content: ".div" counter(step);
    display: block;
    padding: 0 5px;
    text-align: center;
    color: #fff;
}
.gridchild div button[data-v-d328a46e] {
    position: absolute;
    right: 0;
    padding: 0 5px;
    margin: 0;
    color: #fff;
    background-color: transparent;
    border: none;
    z-index: 99999;
}
#gridcontainer[data-v-d328a46e] {
    border: 1px solid #000;
    width: 100%;
    height: 100%;
    z-index: 0;
    position: relative;
    background: #131321;
    background: -webkit-gradient(linear, left top, left bottom, from(#131321), to(#1f1c2c));
    background: linear-gradient(180deg, #0c0c5e 0, #291a7e);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#131321",endColorstr="#1f1c2c",GradientType=0);
}
.grid[data-v-d328a46e] {
    width: 100%;
    height: 100%;
    position: absolute;
    display: grid;
    grid-auto-flow: row dense;
}
.grid div[class*="child"][data-v-d328a46e]:first-child {
    background: rgba(138, 107, 15, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(2) {
    background: rgba(122, 138, 15, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(3) {
    background: rgba(77, 138, 15, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(4) {
    background: rgba(31, 138, 15, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(5) {
    background: rgba(15, 138, 46, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(6) {
    background: rgba(15, 138, 92, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(7) {
    background: rgba(15, 138, 138, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(8) {
    background: rgba(15, 92, 138, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(9) {
    background: rgba(15, 46, 138, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(10) {
    background: rgba(31, 15, 138, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(11) {
    background: rgba(77, 15, 138, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(12) {
    background: rgba(122, 15, 138, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(13) {
    background: rgba(138, 15, 107, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(14) {
    background: rgba(138, 15, 61, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(15) {
    background: rgba(138, 15, 15, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(16) {
    background: rgba(138, 61, 15, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(17) {
    background: rgba(138, 107, 15, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(18) {
    background: rgba(122, 138, 15, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(19) {
    background: rgba(77, 138, 15, 0.7);
    border: 1px solid #ddd;
}
.grid div[class*="child"][data-v-d328a46e]:nth-child(20) {
    background: rgba(31, 138, 15, 0.7);
    border: 1px solid #ddd;
}
.grid p[data-v-d328a46e] {
    padding: 0 10px;
}
.grid div[class*="box"][data-v-d328a46e] {
    background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg width='8' height='8' viewBox='0 0 6 6' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M5 0h1L0 6V5zm1 5v1H5z' fill='%239C92AC' fill-opacity='.4' fill-rule='evenodd'/%3E%3C/svg%3E");
    border: 1px dotted #fff;
    -webkit-transition: all 0.2s ease;
    transition: all 0.2s ease;
    cursor: move;
    position: relative;
    z-index: 1000;
    opacity: 0.5;
}
.colunits[data-v-d328a46e],
.rowunits[data-v-d328a46e] {
    display: grid;
}
.colunits div[data-v-d328a46e],
.rowunits div[data-v-d328a46e] {
    text-align: center;
    position: relative;
}
.rowunits[data-v-d328a46e] {
    margin-left: -70px;
    float: left;
    height: 100%;
}
.rowunits div[data-v-d328a46e] {
    -ms-flex-item-align: center;
    align-self: center;
}
.widthfull[data-v-d328a46e] {
    width: 100%;
}
@media screen and (max-width: 700px) {
    main[data-v-d328a46e] {
        width: calc(80vw - 50px);
        height: calc(40vh - 50px);
    }
}
.errors[data-v-d328a46e] {
    position: absolute;
    bottom: -5px;
    border-radius: 4px;
    padding: 8px 12px;
    z-index: 1;
    font-weight: 700;
    width: 150px;
    min-height: 50px;
    background: #6d1a39;
}
[data-v-054db666] {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
[data-v-054db666],
[data-v-054db666]:after,
[data-v-054db666]:before {
    -webkit-box-sizing: inherit;
    box-sizing: inherit;
}
.modal-mask[data-v-170ed3bd] {
    position: fixed;
    z-index: 100;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    display: grid;
    grid-template: 1fr auto 1fr/1fr auto 1fr;
    overflow: auto;
    -webkit-transition: opacity 0.25s ease;
    transition: opacity 0.25s ease;
}
.modal-wrapper[data-v-170ed3bd] {
    grid-area: 2/2/2/2;
}
.modal-container[data-v-170ed3bd] {
    position: relative;
    width: 80vw;
    max-width: 700px;
    padding: 0 0px 0px;
    background-color: #fff;
    border-radius: 5px;
    -webkit-box-shadow: 0 2px 20px rgba(0, 0, 0, 0.8);
    box-shadow: 0 2px 20px rgba(0, 0, 0, 0.8);
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
    border: 1px solid #000;
}
@media screen and (max-width: 700px) {
    .modal-container[data-v-170ed3bd] {
        padding: 0 20px 20px;
        width: calc(100% - 40px);
    }
}
.modal-header[data-v-170ed3bd] {
    font-size: 1.5em;
    text-align: center;
}
.modal-body[data-v-170ed3bd] {
    margin: 0px 0;
}
/* .modal-button[data-v-170ed3bd] {
    margin: -278px auto;
    display: table;
    float: right;
} */

.modal_button_posion{
    position: absolute;
    top: -47px;
    right: 0;
}

@media screen and (max-width: 700px) {
    .modal-button[data-v-170ed3bd] {
        margin: 20px auto 0;
    }
}

.gridcode[data-v-5ac8b550] {
    position: relative;
    margin: 29px 0px 34px 0px;
    padding: 15px;
    border-radius: 4px;
    border: 1px solid #000;
    font-size: 15px;
    font-family: Roboto Mono, Courier, monospace;
    max-height: 50vh;
    overflow-y: scroll;
    background-color: #272822;
}
.gridcode p[data-v-5ac8b550] {
    margin: 5px;
}
.copycode[data-v-5ac8b550] {
    right: 14px;
    top: 2px;
    margin: 0;
}
.copycode[data-v-5ac8b550],
.togglehtml[data-v-5ac8b550] { 
    position: absolute;
    font-family: Mukta Mahee, Helvetica, Arial, sans-serif;
    cursor: pointer;
}
.togglehtml[data-v-5ac8b550] {
    right: 14px;
    bottom: 5px;
}

input[data-v-21df1ba1] {
    font-size: 17px;
    background: #4e73df;
    color: #fff;
    width: 50px;
    padding: 0.3ch 5px;
    max-height: 40px;
    border: 1px solid #666;
}
fieldset[data-v-21df1ba1] {
    margin-bottom: 20px;
    border: none;
    padding: 5px 16px;
    border: 1px solid;
    margin-left: 10px;
    display: initial;
}
aside[data-v-21df1ba1] {
    margin: 80px 0px;
    font-size: 17px;
}
.wat[data-v-21df1ba1] {
    font-family: Caveat, cursive;
    font-size: 22px;
    margin-top: 18px;
    color: #a8c9cc;
    opacity: 0.9;
    font-weight: 400;
    cursor: pointer;
}

@media screen and (max-width: 700px) {
    aside[data-v-21df1ba1] {
        width: 80vw;
        
    }
        aside[data-v-21df1ba1] {
            margin: 137px 0px;
            font-size: 17px;
        }
        #reset_,        
        #get_code{
                    width: 100%;
                }
}
* {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
*,
:after,
:before {
    -webkit-box-sizing: inherit;
    box-sizing: inherit;
}

label {
    padding-right: 18px;
    display: inline-block;
    width: 150px;
}
label .label-extra-info {
    opacity: 0.7;
}
input {
    font-size: 17px;
    background: #181335;
    color: #fff;
    width: 50px;
    padding: 0.3ch 5px;
    max-height: 40px;
    border: 1px solid #666;
}
fieldset {
    margin-bottom: 20px;
    border: none;
    margin: 0;
    padding: 5px 0;
}
#get_code,
#reset_{
    margin-left: 10px;
 
}



.cname {
    color: #fff;
}

.ckey{
    color: #a6e22e;
}

.cprop{
    color: #ae81ff;
}
